#ifndef CAMPSERVICE_H
#define CAMPSERVICE_H

#include <core.h>
#include <addressbookdata.h>
#include "data/camp-data.h"
#include "camp-odb.hxx"

class CampService : public Service<CampData>
{
public:
    CampService();
    void addPerson(CampDataPtr data, AddressbookDataPtr address);
    void setOwner(CampDataPtr data, AddressItemPtr person);
    CampDataPtr create();
};

#endif // CAMPSERVICE_H
